{$INCLUDE kesovadlo.config.pas}

{$V 2.4} //GeoGet 2.4 a vyssi

function ExportExtension: string;
begin
  Result := 'db3';
end;

function ExportDescription: string;
begin
  Result := 'Databaze programu kesovadlo';
end;

function ExportFooter: string;
var
  gpxtemp,db3temp,exe,exp : String;
begin
  gpxtemp := Geoget_scriptdir + '\' + KESOVADLO_FOLDER + '\temp\temp.gpx';
  db3temp := Geoget_scriptdir + '\' + KESOVADLO_FOLDER + '\temp\temp.db3';
  exp := Geoget_scriptdir + '\' + EXPORTER;
  exe := Geoget_scriptdir + '\' + KESOVADLO_FOLDER + '\' + KESOVADLO_EXE;
  ForceDirectories(Geoget_scriptdir + '\' + KESOVADLO_FOLDER + '\temp\');
  
  if not (FileExists(exp)) then begin ShowMessage('Nebyl nalezen soubor s exportnim makrem: ' + exp); GeoAbort; end;
  if not (FileExists(exe)) then begin ShowMessage('Nebyl nalezen exe soubor pro konverzi GPX do DB3 databaze kesovadla: ' + exe); GeoAbort; end;
  
  GeoExport(exp, gpxtemp);
  RunExec('"' + exe + '" -db "' + db3temp + '" -import "' + gpxtemp + '"');
  Result := FileToString(db3temp);
  DeleteFile(db3temp);
  DeleteFile(gpxtemp);
end;